Unable to upgrade nodejs

Hi, I’m trying to upgrade my ghost and it won’t start because it claims I’m running nodejs 16.13.0. I don’t know where this is coming from. I just upgraded my nodejs to v20, and nvm is using v20 as well.

image
image

The file that it tells me to check just tells me that it’s in an ENV for production. I don’t know what to do and I’m lost. Is anyone able to assist me with this? Thank you so much.

Nvm uses environment variables to switch versions and is not well suited here.

Using the official upgrade steps is recommended:

Such this forum for nvm for related discussions.